【質問する人は読んで下さい】質問方法のガイドライン【マルチサーバー運用】

サーバー運用される方はこちらで情報交換されてはいかがでしょうか?
フォーラムルール
質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
viewtopic.php?f=5&t=999
  • (PostNo.33479)

【質問する人は読んで下さい】質問方法のガイドライン【マルチサーバー運用】

投稿記事by 農民T » 2012年4月07日(土) 00:33


このトピックでは「マルチサーバー運用」フォーラムにおける質問方法のガイドラインを決め、掲載します。質問をする人はこのトピックをよく読んでから質問を行うようにして下さい。
質問を行う前に 【 必 読 】 質 問 の 仕 方 を読んで下さい。
「適切な質問場所を選び、事前に自分で調査を行い、適切な質問をする」事について解説と注意があります。
また トピック・記事投稿の際の注意 も必ず確認して下さい。

質問する前の注意
  • CraftBukkit使用の場合は以下のことを記載してください。
    • CraftBukkitのBuild番号(わからない場合はversionコマンドの結果を書いてください)
      • 例: This server is running CraftBukkit version git-Bukkit-1.4.5-R1.0-8-g2c72461-b2551jnks (MC: 1.4.6) (Implementing API version 1.4.6-R0.1-SNAPSHOT)
    • 導入プラグインのリスト(バージョンも)
    • エラーが出る場合はサーバのログ(ユーザー名,IPアドレス等は消すこと)
    • プラグインの質問の場合、対象プラグインの配布ページURLやconfig.yml等
    • プラグインのバージョンと利用可能なBuild番号
      バージョンは配布ページのファイル名 or Pluginを7-zipで開いて中にあるplugin.yml内に記載されています。
▼普段回答していただいている方へ▼
このトピックは、質問に回答していただいている一般ユーザーの方でも投稿可能にしてあります。
回答する上で必要だと思う内容や、特定の質問用のテンプレートを投稿するなどして活用してください。
必要があればファーストポスト(この記事)に追加しますので、モデレータ宛てに連絡を下さい。
また、モデレータ判断や他ユーザからの要望でファーストポストへの移動を行う場合があります。
内容の全移動を行った場合は、元のポストに関しては見えない場所へ移動させます。
なお、このトピックが「ガイドラインの作り方議論」で埋まってしまっては意味が無いので
議論や推敲は 「トピックの立て方」「記事の投稿の仕方」のガイドラインを考える にてお願い致します。

このトピックはガイドライン専用です。ガイドラインと関係のない書込みは別トピックへ移動を行います。
サイン フォーラムの運営をお手伝いしてます 農民T@Twitter / ホームページ / グローバルモデレータ宛PM
アバター
農民T
ID:1e61d455
ラピスラズリ収集家
 
記事: 1032
登録日時: 2011年7月05日(火) 02:36
お住まい: 幻想郷 人里

  • (PostNo.175683)

Re: 【質問する人は読んで下さい】質問方法のガイドライン【マルチサーバー運用】

投稿記事by ittekikun » 2014年5月31日(土) 20:15

BUKKIT(Spigot)のプラグインに関しての質問の場合はまず下記の確認をしてみてください。

  • BUKKITのバージョンとプラグインのバージョンが合っているか。
    ※プラグインは基本的にBUKKIT側が更新されてもそのまま動作をしますが、高機能な物だったりバージョンに強く依存する機能の物等は動作しなくなる(または正常に動作しない)場合があります。
    大抵の場合BUKKITのバージョンに合った物がリリースされているのでそれを使用しましょう。
  • JAVAのバージョンは合っているか。
    ※現在主に使われているJAVAは6と7だと思いますが、仮に6を使用している環境で7の機能を使用したプラグインを使用すると「UnsupportedClassVersionError」というエラーが出ます。↓例↓
    コード: 全て選択
    Could not load 'plugins\CBF_SenderCamouflage v1.1.1.jar' in fo
    lder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError←これ
    : com/github/keepoff07/cbf/sender/CBF_SenderCamouflage : Unsupported major.minor
    version 51.0

    大抵の場合配布ページに必要なJAVAのバージョンが記載されているのでそちらを使用しましょう。
    また、8はリリースされたばかりなので7をインストールすることをおすすめします。
  • 前提プラグインは入れているか。
    ※一部プラグインには前提プラグインを必要とする物があります。(前提プラグインの例:Vault)
    配布ページに記載してあるので一緒に導入しましょう。
  • Config(その他設定ファイル)の設定はしっかりとしているか。
    ※大抵のプラグインは配布ページやConfigファイル等にConfigの設定方法等を書いてありますのでそちらを見ながら設定しましょう。
    万が一それでも分からなかった場合はConfigファイルの中身を添えて質問しましょう。
アバター
ittekikun
ID:d8962083
ラピスラズリ収集家
 
記事: 1249
登録日時: 2011年9月25日(日) 11:51
お住まい: 夢の国の隣


Return to 質問:マルチサーバー運用

x